// ******************************************************************************
//* Copyright (c) 2007 Ford Motor Company. All Rights Reserved.
//* Original author: Ford Motor Company J2EE Center of Excellence
//*
//* Workfile: CycleTimeBreakdown.java
//* Revision: 0.0.1 12-Feb-07 manstis1 Initial Version
//*
//******************************************************************************

package com.ford.cosmos.object.model;

/**
 * @author  manstis1
 */
public class CycleTime extends AttributableEstimateElement {

    private AttributableConsumable consumable;

    private float cycleTime = 0;

    private Operation operation;

    private AttributableResource resource;

    public CycleTime() {
    }

    public CycleTime(Operation operation, AttributableResource resource, AttributableConsumable consumable) {
        super();
        this.operation = operation;
        this.resource = resource;
        this.consumable = consumable;
    }

    /**
	 * @return
	 * @uml.property  name="consumable"
	 */
    public AttributableConsumable getConsumable() {
        return consumable;
    }

    /**
	 * @return
	 * @uml.property  name="cycleTime"
	 */
    public float getCycleTime() {
        return cycleTime;
    }

    /**
	 * @return
	 * @uml.property  name="operation"
	 */
    public Operation getOperation() {
        return operation;
    }

    /**
	 * @return
	 * @uml.property  name="resource"
	 */
    public AttributableResource getResource() {
        return resource;
    }

    /**
	 * @param cycleTime
	 * @uml.property  name="cycleTime"
	 */
    public void setCycleTime(float cycleTime) {
        this.cycleTime = cycleTime;
    }

    public String toString() {
        return "[CycleTime: Operation=" + this.operation.getDescription() + ", Resource=" + this.resource.toString() + ", Consumable=" + this.consumable.toString() + "]";
    }
}