// ******************************************************************************
//* Copyright (c) 2007 Ford Motor Company. All Rights Reserved.
//* Original author: Ford Motor Company J2EE Center of Excellence
//*
//* Workfile: Operation.java
//* Revision: 0.0.1 08-Feb-07 manstis1 Initial Version
//*
//******************************************************************************

package com.ford.cosmos.object.model;

/**
 * @author  manstis1
 */
public class Operation extends AttributableEstimateElement implements Identifiable {

    private AttributableConsumable consumable;

    private Cost cost = new Cost();

    private String description = "";

    private long id = 0;

    private int multiplier = 1;

    private AttributableResource resource;

    private ScratchPad scratchPad = new ScratchPad();

    /**
	 * @return
	 * @uml.property  name="consumable"
	 */
    public AttributableConsumable getConsumable() {
        return consumable;
    }

    /**
	 * @return
	 * @uml.property  name="cost"
	 */
    public Cost getCost() {
        return cost;
    }

    /**
	 * @return
	 * @uml.property  name="description"
	 */
    public String getDescription() {
        return description;
    }

    /**
	 * @return
	 * @uml.property  name="id"
	 */
    public long getId() {
        return id;
    }

    /**
	 * @return
	 * @uml.property  name="multiplier"
	 */
    public int getMultiplier() {
        return multiplier;
    }

    /**
	 * @return
	 * @uml.property  name="resource"
	 */
    public AttributableResource getResource() {

        return resource;
    }

    /**
	 * @return
	 * @uml.property  name="scratchPad"
	 */
    public ScratchPad getScratchPad() {
        return scratchPad;
    }

    /**
	 * @param consumable
	 * @uml.property  name="consumable"
	 */
    public void setConsumable(AttributableConsumable consumable) {
        this.consumable = consumable;
    }

    /**
	 * @param cost
	 * @uml.property  name="cost"
	 */
    public void setCost(Cost cost) {
        this.cost = cost;
    }

    /**
	 * @param description
	 * @uml.property  name="description"
	 */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
	 * @param id
	 * @uml.property  name="id"
	 */
    public void setId(long id) {
        this.id = id;
    }

    /**
	 * @param multiplier
	 * @uml.property  name="multiplier"
	 */
    public void setMultiplier(int multiplier) {
        this.multiplier = multiplier;
    }

    /**
	 * @param resource
	 * @uml.property  name="resource"
	 */
    public void setResource(AttributableResource resource) {
        this.resource = resource;
    }

    /**
	 * @param scratchPad
	 * @uml.property  name="scratchPad"
	 */
    public void setScratchPad(ScratchPad scratchPad) {
        this.scratchPad = scratchPad;
    }
}