// ******************************************************************************
//* Copyright (c) 2007 Ford Motor Company. All Rights Reserved.
//* Original author: Ford Motor Company J2EE Center of Excellence
//*
//* Workfile: Processes.java
//* Revision: 0.0.1 08-Feb-07 manstis1 Initial Version
//*
//******************************************************************************

package com.ford.cosmos.object.model;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Iterator;

/**
 * This is another way to wrap an ArrayList for use by JBOSS Rules "contains"
 * statement. Basically the Class needs to implement Collection to be accessible
 * from DRL.
 */
public class Processes implements Collection {

    private ArrayList processes = new ArrayList();

    public boolean add(Object o) {
        Process p = null;
        try {
            p = (Process)o;
        } catch (ClassCastException cce) {
            throw cce;
        }
        return this.processes.add(p);
    }

    public boolean addAll(Collection c) {
        boolean result = false;
        for (Iterator i = c.iterator(); i.hasNext(); result = this.add(i.next()))
            ;
        return result;
    }

    public void clear() {
        this.processes.clear();
    }

    public boolean contains(Object o) {
        return this.processes.contains(o);
    }

    public boolean containsAll(Collection c) {
        return this.processes.containsAll(c);
    }

    public boolean isEmpty() {
        return this.processes.isEmpty();
    }

    public Iterator iterator() {
        return this.processes.iterator();
    }

    public boolean remove(Object o) {
        return this.processes.remove(o);
    }

    public boolean removeAll(Collection c) {
        return this.processes.removeAll(c);
    }

    public boolean retainAll(Collection c) {
        return this.processes.retainAll(c);
    }

    public int size() {
        return this.processes.size();
    }

    public Object[] toArray() {
        return this.processes.toArray();
    }

    public Object[] toArray(Object[] a) {
        return this.processes.toArray(a);
    }

}