// ******************************************************************************
//* Copyright (c) 2007 Ford Motor Company. All Rights Reserved.
//* Original author: Ford Motor Company J2EE Center of Excellence
//*
//* $Workfile: jcoe_code_templates.xml $
//* $Revision: 1.0 $
//* $Author: wnielsen $
//* $Date: Oct 19 2006 10:16:16 $
//*
//******************************************************************************
package com.ford.cosmos.object.model;

/**
 * @author  manstis1
 */
public class Usage extends AttributableEstimateElement {

    private AttributableResource resource;

    private AttributableConsumable consumable;

    private Operation operation;

    private float usage;

    public Usage() {
    }

    public Usage(Operation operation, AttributableResource resource, AttributableConsumable consumable) {
        super();
        this.operation = operation;
        this.resource = resource;
        this.consumable = consumable;
    }

    /**
	 * @return
	 * @uml.property  name="resource"
	 */
    public AttributableResource getResource() {
        return resource;
    }

    /**
	 * @return
	 * @uml.property  name="consumable"
	 */
    public AttributableConsumable getConsumable() {
        return consumable;
    }

    /**
	 * @return
	 * @uml.property  name="operation"
	 */
    public Operation getOperation() {
        return operation;
    }

    /**
	 * @return
	 * @uml.property  name="usage"
	 */
    public float getUsage() {
        return usage;
    }

    /**
	 * @param usage
	 * @uml.property  name="usage"
	 */
    public void setUsage(float usage) {
        this.usage = usage;
    }

    public String toString() {
        return "[Usage: Operation=" + this.operation.getDescription() + ", Resource=" + this.resource.toString() + ", Consumable=" + this.consumable.toString() + "]";
    }

}

